textproc/flyspell - The NetBSD Packages Collection

Emacs/Xemacs on-the-fly spell checker

Flyspell enables on-the-fly spell checking in Emacs by the means
of a minor mode. It is called Flyspell. This facility is hardly
intrusive. It requires no help. Flyspell highlights incorrect words
as soon as they are completed or as soon as the cursor hits a new
word.

Flyspell is language independent because you are free to select
your own dictionary.

Flyspell is compatible with TeX editing. That is, Flyspell tries,
as much as possible, to avoid highlighting TeX command.

Flyspell proposes corrections for miss-spelled words by the means
of pop-up menus. Alternatively you will be able to store the word
in the global dictionary, to add it to the current document dictionary
or to ignore the miss-spelling for the current session.

Flyspell also proposes automatic corrections.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

textproc/ispell-emacs editors/emacs26

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 8.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 8.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 8.0i386flyspell-1.7mnb2.tgz
NetBSD 8.0i386flyspell-1.7mnb2.tgz
NetBSD 8.0powerpcflyspell-1.7mnb2.tgz
NetBSD 8.0powerpcflyspell-1.7mnb2.tgz
NetBSD 8.0powerpcflyspell-1.7mnb2.tgz
NetBSD 8.0powerpcflyspell-1.7mnb2.tgz
NetBSD 8.0x86_64flyspell-1.7mnb2.tgz
NetBSD 8.0x86_64flyspell-1.7mnb2.tgz
NetBSD 9.0aarch64flyspell-1.7mnb2.tgz
NetBSD 9.0aarch64flyspell-1.7mnb2.tgz
NetBSD 9.0aarch64flyspell-1.7mnb2.tgz
NetBSD 9.0alphaflyspell-1.7mnb2.tgz
NetBSD 9.0alphaflyspell-1.7mnb2.tgz
NetBSD 9.0alphaflyspell-1.7mnb2.tgz
NetBSD 9.0earmflyspell-1.7mnb2.tgz
NetBSD 9.0earmflyspell-1.7mnb2.tgz
NetBSD 9.0earmflyspell-1.7mnb2.tgz
NetBSD 9.0earmv6hfflyspell-1.7mnb2.tgz
NetBSD 9.0earmv6hfflyspell-1.7mnb2.tgz
NetBSD 9.0earmv6hfflyspell-1.7mnb2.tgz
NetBSD 9.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 9.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 9.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 9.0earmv7hfflyspell-1.7mnb2.tgz
NetBSD 9.0i386flyspell-1.7mnb2.tgz
NetBSD 9.0i386flyspell-1.7mnb2.tgz
NetBSD 9.0i386flyspell-1.7mnb2.tgz
NetBSD 9.0powerpcflyspell-1.7mnb2.tgz
NetBSD 9.0powerpcflyspell-1.7mnb2.tgz
NetBSD 9.0powerpcflyspell-1.7mnb2.tgz
NetBSD 9.0powerpcflyspell-1.7mnb2.tgz
NetBSD 9.0sh3elflyspell-1.7mnb2.tgz
NetBSD 9.0sh3elflyspell-1.7mnb2.tgz
NetBSD 9.0sparc64flyspell-1.7mnb2.tgz
NetBSD 9.0sparc64flyspell-1.7mnb2.tgz
NetBSD 9.0sparc64flyspell-1.7mnb2.tgz
NetBSD 9.0sparcflyspell-1.7mnb2.tgz
NetBSD 9.0sparcflyspell-1.7mnb2.tgz
NetBSD 9.0sparcflyspell-1.7mnb2.tgz
NetBSD 9.0sparcflyspell-1.7mnb2.tgz
NetBSD 9.0sparcflyspell-1.7mnb2.tgz
NetBSD 9.0x86_64flyspell-1.7mnb2.tgz
NetBSD 9.0x86_64flyspell-1.7mnb2.tgz
NetBSD 9.0x86_64flyspell-1.7mnb2.tgz
NetBSD 9.0x86_64flyspell-1.7mnb2.tgz
NetBSD 9.0x86_64flyspell-1.7mnb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.